module Creation exposing (..)

import OrderedAttributeCategories exposing (OAC)
import Stats exposing (AttributeCategory)

type alias CreationPoints =
    { freebie : Int
    , spheres : Int
    , attributes : OAC
    }

new : CreationPoints 
new =
    { freebie = 15
    , spheres = 6
    , attributes = OrderedAttributeCategories.new
    }

cost :
    { sphere : Int
    }
cost = 
    { sphere = 7
    }

changeOrder : CreationPoints -> AttributeCategory -> Int -> CreationPoints
changeOrder cp category index =
    { cp | attributes = OrderedAttributeCategories.changeOrder cp.attributes category index }